/******************************************************************************
*	File		-	core_console.h
*	Author		-	Joey Pollack
*	Date		-	2022/02/10 (y/m/d)
*	Mod Date	-	2022/02/10 (y/m/d)
*	Description	-	console for the game mode
******************************************************************************/

#ifndef CORE_CONSOLE_H_
#define CORE_CONSOLE_H_

#include <gui/console.h>

namespace lunarium
{
    class CoreConsole : public gui::Console
    {
        public:
            CoreConsole();
            virtual ~CoreConsole();
            bool DoFrame() override;

        private:
            void InitDock();
            bool mDockIsInit;
    };
}

#endif  // CORE_CONSOLE_H_